# FreeBSD 14 added support for terminfo, so I'm leaving the termcap stuff commented out in case I need it.

# - name: See if the alacritty termcap has been added
#   lineinfile:
#     name: /usr/share/misc/termcap
#     regexp: |-
#       ^alacritty\|
#     state: absent
#   check_mode: false
#   changed_when: false
#   register: alacritty_cap

# # Termcap generated by:
# #   cat <(infocmp -Cr alacritty) <(infocmp -Cr alacritty-direct)
# - name: Append alacritty termcap info
#   blockinfile:
#     path: /usr/share/misc/termcap
#     block: "{{ lookup('file', 'alacritty.termcap') }}"
#     marker: "# {mark} ANSIBLE MANAGED BLOCK alacritty"
#   when: not alacritty_cap.found
#   register: wrote_alacritty_cap

# - name: Update cap_mkdb
#   command: cap_mkdb /usr/share/misc/termcap
#   when: wrote_alacritty_cap.changed

- name: Install packages
  package:
    name:
      - terminfo-db
    state: present

- name: Append alacritty terminfo
  command: "tic -xe alacritty,alacritty-direct -"
  args:
    creates: "/usr/share/terminfo/a/alacritty-direct"
    # Also creates: "/usr/share/terminfo/a/alacritty"
    stdin: "{{ lookup('file', 'files/alacritty.info') }}"
